Supported Browsers

For the best experience, we recommend using the current version of Firefox, Safari, and Chrome, or Internet Explorer 10 and above. Earlier browsers may not be supported.